diff options
author | Ed Bartosh <ed.bartosh@linux.intel.com> | 2015-12-02 10:02:45 -0800 |
---|---|---|
committer | Richard Purdie <richard.purdie@linuxfoundation.org> | 2015-12-07 17:37:09 +0000 |
commit | 87b2f954b906ca9fe034c83c3d017df27fd70ee1 (patch) | |
tree | 78fe0150cdb5e2002f91c84b83b3a4bc0975e35b /bitbake/bin | |
parent | 891484ada939db15f805f505ac3ffab76bc778a5 (diff) | |
download | poky-87b2f954b906ca9fe034c83c3d017df27fd70ee1.tar.gz |
bitbake: toaster: implement 'toaster restart-bitbake'
This implementation allows to have functionality of restarting
bitbake in toaster script. It can be used by toaster script and
build controllers.
[YOCTO #8279]
(Bitbake rev: 24cd26b39014419d883b7cf45e4943c301d585cc)
Signed-off-by: Ed Bartosh <ed.bartosh@linux.intel.com>
Signed-off-by: brian avery <avery.brian@gmail.com>
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'bitbake/bin')
-rwxr-xr-x | bitbake/bin/toaster | 9 |
1 files changed, 9 insertions, 0 deletions
diff --git a/bitbake/bin/toaster b/bitbake/bin/toaster index 34a4e8f6f7..c89e015706 100755 --- a/bitbake/bin/toaster +++ b/bitbake/bin/toaster | |||
@@ -268,6 +268,15 @@ if [ `basename \"$0\"` = `basename \"${TOASTER}\"` ]; then | |||
268 | exit 1 | 268 | exit 1 |
269 | fi | 269 | fi |
270 | 270 | ||
271 | if [ "$1" = 'restart-bitbake' ] ; then | ||
272 | stop_bitbake | ||
273 | sleep 1 | ||
274 | start_bitbake | ||
275 | rc=$? | ||
276 | sleep 1 | ||
277 | return $rc | ||
278 | fi | ||
279 | |||
271 | if ! verify_prereq; then | 280 | if ! verify_prereq; then |
272 | echo "Error: Could not verify that the needed dependencies are installed. Please use virtualenv and pip to install dependencies listed in toaster-requirements.txt" 1>&2 | 281 | echo "Error: Could not verify that the needed dependencies are installed. Please use virtualenv and pip to install dependencies listed in toaster-requirements.txt" 1>&2 |
273 | return 1 | 282 | return 1 |